import request from '@/utils/request'

// 查询 专项培养题库列表
export function listBank(query) {
  return request({
    url: '/spec/bank/list',
    method: 'get',
    params: query
  })
}

// 查询 专项培养题库详细
export function getBank(id) {
  return request({
    url: '/spec/bank/' + id,
    method: 'get'
  })
}

// 新增 专项培养题库
export function addBank(data) {
  return request({
    url: '/spec/bank',
    method: 'post',
    data: data
  })
}

// 修改 专项培养题库
export function updateBank(data) {
  return request({
    url: '/spec/bank',
    method: 'put',
    data: data
  })
}

// 删除 专项培养题库
export function delBank(id) {
  return request({
    url: '/spec/bank/' + id,
    method: 'delete'
  })
}

// 导出 专项培养题库
export function exportBank(query) {
  return request({
    url: '/spec/bank/export',
    method: 'get',
    params: query
  })
}
